import React from "react";
import { ExpressionConfiguration } from "@appglue/common/dist/Expressions/ExpressionConfiguration";
export interface XExpressionEditorData {
    expression: ExpressionConfiguration;
    openFirstTimeWhenEmptyExpression?: boolean;
    onUpdate?: () => void;
}
export declare class ExpressionBuilder extends React.Component<XExpressionEditorData, {}> {
    static defaultProps: {
        openFirstTimeWhenEmptyExpression: boolean;
    };
    static contextType: React.Context<import("./Structure/ExpressionReactContext").IExpressionContext>;
    constructor(props: XExpressionEditorData);
    renderEditDialog(): JSX.Element;
    render(): JSX.Element;
}
